//TC.h

//pin definition
#define	TP8     	          (0x01)    //port 1.0        //reserved
#define	ON_SW		(0x02)    //port 1.1        //in
#define	MOTOR		(0x04)    //port 1.2        //out
#define	ORANGE_LED	(0x08)    //port 1.3        //out

#define	BATT_TST_PWR        (0x01)    //port 2.0        //out
#define	GREEN_LED	          (0x02)    //port 2.1        //out
#define	MAC_SW_PWR 	(0x04)    //port 2.2        //out
#define	BATT_TST            (0x08)    //port 2.3        //in
#define	MAC_SW  	          (0x10)    //port 2.4        //in
#define	TP7 		(0x20)    //port 2.5        //reserved

//sys state definitiones
#define	RUN     	          0
#define	LOW_BATT	          1
#define	SLEEP		2

//sys timing definitiones
#define	ON_SW_DEBAUNCE	2         //200 Msec press to turn the sys off
#define	MAC_SW_DEBAUNCE     5         //300 Msec press to read sw press as "0"

//#ifdef EXT_RESISTOR
//#define TIMER_INTERVAL      4490//4350  // =for ext 100k resistor //10Ms timer set register !!add 347 for 1 ms
//#else
//#define TIMER_INTERVAL      3550        // = for int resistor  //10Ms timer set register !!add 347 for 1 ms
//#endif

#define TIMER_INTERVAL        3275;      //3276-1

#define Sec                   *10
#define Min                   *60Sec


// ** mark fix this times **
#define LOW_BATT_TIME                   70Sec     //10Sec //if time beetwen MAC_SW releseis biger 70 sec its low batt start
#define LOW_BATT_OFF_TIME	          10Min     //10Sec   //after 10 minites of low batt turn sys off
#define MACHANICAL_FAILE_TIME           160Sec
#define MACHANICAL_FAILE_TIME_PRESURE   90Sec
#define MOTOR_STOP_POINT                1Sec      //2 sec after mac sw presed

#define MAX_MAC_SW_PRESS_TIMER_INTERVAL 12Sec     //15 sec maximum of mac sw presed
#define MIN_MAC_SW_PRESS_TIMER_INTERVAL 4Sec      //15 sec maximum of mac sw presed

#define ROM_START    0xFC00
#define ROM_END      0xFFE0-2


unsigned int    off_tmr,
                on_sw_cntr,                     //on/off sw debounce counter
                run_time_cntr,                  //run time counter  between MAC_SW relese intervals              
                stop_timer,                     //stop timer from faling edje until the stop point
                mac_sw_press_timer;             //timer for he mac sw press time test

unsigned char   mac_sw_press_time_test_enable,  //enabeling bit of the mac sw press time
                tick,                           //a tick bit indicating timer overflow
                low_batt_flag,
                mac_sw_was_presed,              //flag indicating the MAC_SW was presed
                sw_was_presed,                  //flag indicating the SW was presed to enter sleep
                i,
                stat,                           //sys statuse register 
                mac_sw_stat;                    //mac_sw_statuse flag
               


unsigned int saved_cs,calc_cs;

unsigned char E1_Failures[8];
unsigned char E1_Failures_Counter;
//unsigned int  E1_Failures_tempCounter;
unsigned char E1_Failures_Sum;
unsigned char Check_Press_Overtime;


